<form #theForm="ngForm" novalidate>
  <div class="container">
    <div class="row">

      <div class="col-12">
        <div class="form-group">
          <label for="editOrgNameInput">Namn</label>
          <input type="text" class="form-control" id="editOrgNameInput" name="name" aria-describedby="editOrgNameHelp"
                 data-cy="organisationNameInput" placeholder="Organisation name" [(ngModel)]="edit.name" required>
          <small id="editOrgNameHelp" hidden="true" class="alert alert-danger form-text text-muted">
            Fyll i organisationens namn
          </small>
        </div>

        <div class="form-group">
          <label for="editNumberInput">Org. nummer</label>
          <input type="text" class="form-control" id="editNumberInput" name="number" placeholder="Organisation number"
                 [(ngModel)]="edit.number" required>
        </div>
        <div class="">
            <label class="swich-titel">Öppen organisation </label>
            <i class="ml-2 fa fa-info-circle"  placement="top"  tooltipClass="tool-tip" ngbTooltip="Välj ifall nya medlemmar ska godkännas av dig eller dina existerande medlemmar för att komma med i organisationen, eller om organisationen ska vara öppen för alla ansökande."></i>
        </div>
        <div class="">
          <label class="switch">
            <input type="checkbox" id="directMembership" name="directMembership" [(ngModel)]="edit.allowDirectMembership">
            <span class="slider round"></span>
            <span [hidden]="edit.allowDirectMembership" id="nej"  data-cy="dontAllowDirectMembership">NEJ</span>
            <span [hidden]="!edit.allowDirectMembership" id="ja" data-cy="allowDirectMembership">JA</span>
          </label>
        </div>
      </div>

      <div class="col-12">
        <app-image-picker [image]="organisation.logoUrl" (uploaded)="newImageUploade($event)"
                          (deleted)="imageDeleted($event)"></app-image-picker>
      </div>
    </div>
    <div class="row mb-4 mt-4">
        <div class="col">
          <div class="edit-options">

            <button class="btn btn-secondary mr-4" (click)="doDelete()">
              <i class="fa fa-minus-circle"></i> Ta bort
            </button>
            <button class="btn mr-4" (click)="doCancel()">Avbryt</button>
            <button class="btn btn-primary" (click)="save()" [disabled]="theForm.invalid"><i class="fa fa-save"></i>
              Spara
            </button>
            
          </div>
        </div>
      </div>
    </div>
</form>
